knetFile_s Struct Reference

## Public Attributes

int | type
int | fd
int64_t | offset
char * | host
char * | port
int | ctrl_fd
int | pasv_ip [4]
int | pasv_port
int | max_response
int | no_reconnect
int | is_ready
char * | response
char * | retr
char * | size_cmd
int64_t | seek_offset
int64_t | file_size
char * | path
char * | http_host

## Detailed Description

Definition at line 24 of file knetfile.h.

## Member Data Documentation

## ctrl_fd

int knetFile_s::ctrl_fd

Definition at line 30 of file knetfile.h.

## fd

int knetFile_s::fd

Definition at line 25 of file knetfile.h.

## file_size

int64_t knetFile_s::file_size

Definition at line 33 of file knetfile.h.

## host

char* knetFile_s::host

Definition at line 27 of file knetfile.h.

## http_host

char * knetFile_s::http_host

Definition at line 36 of file knetfile.h.

## is_ready

int knetFile_s::is_ready

Definition at line 30 of file knetfile.h.

## max_response

int knetFile_s::max_response

Definition at line 30 of file knetfile.h.

## no_reconnect

int knetFile_s::no_reconnect

Definition at line 30 of file knetfile.h.

## offset

int64_t knetFile_s::offset

Definition at line 26 of file knetfile.h.

## pasv_ip

int knetFile_s::pasv_ip[4]

Definition at line 30 of file knetfile.h.

## pasv_port

int knetFile_s::pasv_port

Definition at line 30 of file knetfile.h.

## path

char* knetFile_s::path

Definition at line 36 of file knetfile.h.

## port

char * knetFile_s::port

Definition at line 27 of file knetfile.h.

## response

char* knetFile_s::response

Definition at line 31 of file knetfile.h.

## retr

char * knetFile_s::retr

Definition at line 31 of file knetfile.h.

## seek_offset

int64_t knetFile_s::seek_offset

Definition at line 32 of file knetfile.h.

## size_cmd

char * knetFile_s::size_cmd

Definition at line 31 of file knetfile.h.

## type

int knetFile_s::type

Definition at line 25 of file knetfile.h.

The documentation for this struct was generated from the following file:

- samtools/knetfile.h